Modify

Opened 5 years ago

Last modified 5 years ago

#13219 new defect

opkg crashes on armv5

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: base system Version: Trunk
Keywords: Cc:

Description

opkg crashes on package install:

root@ZipitZ2:~# opkg install wpa-supplicant_20130302-1_pxa.ipk
Installing wpa-supplicant (20130302-1) to root...
Collected errors:

  • gz_close: Unzip process killed by signal 11.
  • pkg_get_installed_files: Error extracting file list from wpa-supplicant_20130302-1_pxa.ipk.
  • opkg_install_cmd: Cannot install package wpa-supplicant

According to my inverstigations it crashes in libbb/gz_open.c:87, on fclose(compressed_file).

Board is Z2, it's pxa270 based, support is not merged into openwrt yet.
Fork is here git://github.com/openwrt-zipit/openwrt-zipit.git branch z2-3.6-wip
Config is here:https://www.dropbox.com/s/gw9nu9v6xa9ah2l/openwrt-config

You can use qemu for testing, launch script is here:
https://www.dropbox.com/s/7q26cf7i5amfgd8/z2_start.sh
sd.img is card image (just create blank image without partitions and unpack rootfs into it), flash.img is just 8mb of zeroes

Attachments (0)

Change History (1)

comment:1 Changed 5 years ago by anarsoul@…

Could anyone add me to watchlist of ticket?

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.